Skip to main content

Update site configuration

PATCH 

/sites/:siteId/configuration

Update the System Management configuration

Request​

Path Parameters

    siteId stringrequired

    Site Identifier

Body

required

    branding

    object

    Branding configuration that can be set globally or for an individual site.

    theme string

    Branding theme identifier.

    chatGptApiKey string

    ChatGPT Api Key

    maxContentLengthBytes string

    Set Maximum Document Content Length in Bytes

    maxDocuments string

    Set Maximum number of Documents allowed

    maxWebhooks string

    Set Maximum number of Webhooks allowed

    notificationEmail emaildeprecated

    Deprecated. Use notification.email instead. Email address to use for SES notifications.

    notification

    object

    email email

    Email address to use as the From address for notifications

    provider NotificationEmailProvider (string)

    Possible values: [SES, SMTP]

    Default value: SES

    smtp

    object

    host stringrequired

    SMTP server hostname

    port int32required

    SMTP server port

    Possible values: >= 1 and <= 65535

    connectionSecurity NotificationEmailSmtpConnectionSecurity (string)required

    Possible values: [STARTTLS, IMPLICIT_TLS]

    credentialsSecretArn stringrequired

    AWS Secrets Manager ARN for a secret whose value is a JSON object containing non-empty string properties named "username" and "password", for example: {"username":"smtp-user@example.com","password":"smtp-password"}.

    document

    object

    contentTypes

    object

    allowlist string[]
    Example: ["application/pdf","image/png","image/jpeg"]
    denylist string[]
    Example: ["application/x-msdownload","application/x-sh"]

    retentionAndDisposition

    object

    dispositionAction DocumentConfigDispositionAction (string)

    Possible values: [SOFT_DELETE, DELETE]

    Default value: SOFT_DELETE
    softDeleteRetentionInDays int32

    Number of days to retain soft deleted documents before permanent deletion. Use -1 to retain soft deleted documents until trash is cleared manually.

    Possible values: >= -1

    Default value: -1

    ocr

    object

    maxPagesPerTransaction number

    Max number of OCR pages (-1 for unlimited)

    maxTransactions number

    Max number of OCR actions that can be created (-1 for unlimited)

    google

    object

    workloadIdentityAudience string

    Workload Identity Audience

    workloadIdentityServiceAccount string

    Workload Service Account

    docusign

    object

    environment DocusignEnvironment (string)

    Docusign environment. When omitted from an E-Signature request, defaults to docusignEnvironment in the site configuration.

    Possible values: [PRODUCTION, DEVELOPMENT]

    userId string

    Docusign UserId

    integrationKey string

    Docusign Integration Key or ClientId

    rsaPrivateKey string

    Docusign Rsa Private Key

    hmacSignature string

    Optional HMAC secret used to validate Docusign Connect event notifications. When configured, callbacks must include a matching Docusign HMAC signature. When omitted or empty, callbacks are processed without HMAC validation, including when connectUrl is configured.

    connectUrl uri

    Public HTTPS URL that receives Docusign Connect event notifications. May be configured with or without hmacSignature.

Responses​

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    message string

    Result message

Loading...